<template>
    <div class="addMain">
    
        <strong class="strongText">TO DO LIST</strong>
        <p></p>
        <input type="text" class="inputText" v-model="inputText" @keyup.enter="post" placeholder="write a task">
        <button class="addButton" @click="post">Add</button>
    
    </div>
</template>


<script>
import {service} from './api'

export default {
    data(){ return {
        inputText:"",
    }},
    methods: {
        async post(){
            var data = {"Id": 0 , "Title": this.inputText}
            await service.post("https://assigment-backend-k3r9w.ondigitalocean.app/postTasks", data ).then(result => { 
                }).catch( error => {
                    console.error(error);
            })
            this.$root.$emit('sendText', this.inputText)

            this.inputText = "" 

        },
    },

 

}
</script>

 
<style>

</style>
